summaryrefslogtreecommitdiffstats
path: root/system/overpass-webfonts/overpass-webfonts.SlackBuild
diff options
context:
space:
mode:
author Nishant Limbachia2017-06-19 17:36:32 +0200
committer David Spencer2017-06-19 17:36:32 +0200
commiteb7ed6d88f846097f6fe30a788e5a3a6c33fbf27 (patch)
treeda54c33d43998ac087bd9a0031f325d88486ac1f /system/overpass-webfonts/overpass-webfonts.SlackBuild
parentdd8a57c307b86feb515c2faaf584ce3c3cfe91d3 (diff)
downloadslackbuilds-eb7ed6d88f846097f6fe30a788e5a3a6c33fbf27.tar.gz
system/overpass-webfonts: Added (Open Source web fonts by RedHat).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system/overpass-webfonts/overpass-webfonts.SlackBuild')
-rw-r--r--system/overpass-webfonts/overpass-webfonts.SlackBuild70
1 files changed, 70 insertions, 0 deletions
diff --git a/system/overpass-webfonts/overpass-webfonts.SlackBuild b/system/overpass-webfonts/overpass-webfonts.SlackBuild
new file mode 100644
index 0000000000..8d3da48c7d
--- /dev/null
+++ b/system/overpass-webfonts/overpass-webfonts.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+#
+# Slackware Package Build Script for overpass-webfonts
+# Home Page http://overpassfont.org/
+
+# Copyright (c) 2016-2017, Nishant Limbachia, Hoffman Estates, IL, USA
+# <nishant _AT_ mnspace _DOT_ net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+SRCNAM="Overpass"
+PRGNAM="overpass-webfonts"
+VERSION=${VERSION:-3.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar -xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/TTF
+
+cp -a webfonts/overpass-webfont/*.ttf $PKG/usr/share/fonts/TTF
+cp -a webfonts/overpass-mono-webfont/*.ttf $PKG/usr/share/fonts/TTF
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE.md *.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}